Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1519844 - Review Request: python-pymediainfo - Python wrapper around the MediaInfo library
Summary: Review Request: python-pymediainfo - Python wrapper around the MediaInfo library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-01 14:40 UTC by Vasiliy Glazov
Modified: 2017-12-27 23:58 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-19 19:47:19 UTC
ignatenko: fedora-review+


Attachments (Terms of Use)

Comment 1 Igor Gnatenko 2017-12-01 14:59:33 UTC
> %if 0%{?fedora}
%if 0%{?rhel} && 0%{?rhel} <= 7
and turn conditions around

* %global srcname pymediainfo and use it in package names and so

> Source0:        %{url}/archive/v%{version}.tar.gz
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

* Move Requires/BuildRequires in respective packages

> cp -a python2 python3
I would assume that you don't need this because it should work even in same directory.

> rm -rf $RPM_BUILD_ROOT
remove this

> %{python2_sitelib}/*
> %{python3_sitelib}/*
Be more specific here

Comment 3 Igor Gnatenko 2017-12-06 11:28:59 UTC
replace "appname" with "srcname" and will look good.

Trivial enough for doing during import. APPROVED.

Comment 4 Gwyn Ciesla 2017-12-07 13:48:37 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-pymediainfo

Comment 5 Fedora Update System 2017-12-08 07:29:58 UTC
python-pymediainfo-2.2.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ef76c572aa

Comment 6 Fedora Update System 2017-12-08 07:30:06 UTC
python-pymediainfo-2.2.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-54baa1189e

Comment 7 Fedora Update System 2017-12-08 07:30:12 UTC
python-pymediainfo-2.2.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-47ee0fe3e2

Comment 8 Fedora Update System 2017-12-08 07:30:18 UTC
python-pymediainfo-2.2.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5e373e99e1

Comment 9 Fedora Update System 2017-12-08 07:30:23 UTC
python-pymediainfo-2.2.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6afa5933af

Comment 10 Fedora Update System 2017-12-09 05:47:31 UTC
python-pymediainfo-2.2.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6afa5933af

Comment 11 Fedora Update System 2017-12-09 06:56:06 UTC
python-pymediainfo-2.2.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-47ee0fe3e2

Comment 12 Fedora Update System 2017-12-09 07:28:12 UTC
python-pymediainfo-2.2.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ef76c572aa

Comment 13 Fedora Update System 2017-12-09 19:34:50 UTC
python-pymediainfo-2.2.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-54baa1189e

Comment 14 Fedora Update System 2017-12-10 00:32:37 UTC
python-pymediainfo-2.2.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5e373e99e1

Comment 15 Fedora Update System 2017-12-19 19:47:19 UTC
python-pymediainfo-2.2.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-12-19 21:34:44 UTC
python-pymediainfo-2.2.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-12-27 21:33:58 UTC
python-pymediainfo-2.2.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-12-27 23:58:42 UTC
python-pymediainfo-2.2.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.